org.apache.felix.scrplugin.helper

## Class DescriptionContainer

- java.lang.Object
- - org.apache.felix.scrplugin.helper.DescriptionContainer

    public class DescriptionContainer
    extends Object

The description container holds all `ComponentContainer`s.

### Constructor Summary

Constructors
Constructor and Description
`DescriptionContainer(Options options)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(ComponentContainer c)` Add a container to the list.
`List<ComponentContainer>` `getComponents()` Return the list of `ComponentContainer`s.
`Options` `getOptions()` Get the options
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DescriptionContainer

    public DescriptionContainer(Options options)

Constructor

Parameters:
  `options` - The options for this module

### Method Detail

#### getOptions

    public Options getOptions()

Get the options

Returns:
  The options

#### getComponents

    public List<ComponentContainer> getComponents()

Return the list of `ComponentContainer`s.

#### add

    public void add(ComponentContainer c)

Add a container to the list.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`